.\" @project        The CERN Tape Archive (CTA)
.\" @copyright      Copyright(C) 2002-2021 CERN
.\" @license        This program is free software: you can redistribute it and/or modify
.\"                 it under the terms of the GNU General Public License as published by
.\"                 the Free Software Foundation, either version 3 of the License, or
.\"                 (at your option) any later version.
.\"
.\"                 This program is distributed in the hope that it will be useful,
.\"                 but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"                 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"                 GNU General Public License for more details.
.\"
.\"                 You should have received a copy of the GNU General Public License
.\"                 along with this program.  If not, see <http://www.gnu.org/licenses/>.
.TH RMC_IMPORT "3castor" "$Date: 2002/12/06 15:58:33 $" CASTOR "rmc Library Functions"
.SH NAME
rmc_import \- send a request to the Remote Media Changer daemon to have a volume imported/injected into the robot
.SH SYNOPSIS
.B #include <sys/types.h>
.br
\fB#include "rmc_api.h"\fR
.sp
.BI "int rmc_import (char *" server ,
.BI "char *" smc_ldr ,
.BI "char *" vid );
.SH DESCRIPTION
.B rmc_import
asks the Remote Media Changer server running on
.I server
and connected to the picker
.I smc_ldr
to import the volume
.IR vid .
.TP
.I server
specifies the Remote Media Changer to be contacted.
.TP
.I smc_ldr
is the picker device as defined in /dev.
.TP
.I vid
is the volume visual identifier.
It must be at most six characters long.
.SH RETURN VALUE
This routine returns 0 if the operation was successful or -1 if the operation
failed. In the latter case,
.B serrno
is set appropriately.
.SH ERRORS
.TP 1.2i
.B SECOMERR
Communication error.
.TP
.B ERMCUNREC
Unknown host or invalid loader or vid too long.
.TP
.B ERMCFASTR
Unit attention.
.TP
.B ERMCOMSGR
Hardware error or Medium Removal Prevented.
.SH SEE ALSO
.BR rmc_get_geometry(3) ,
.B smc(1)
.SH AUTHOR
\fBCASTOR\fP Team <castor.support@cern.ch>
